%% FUNCIÓN CALCULO FFT UFMC
%<calcFFT_UFMC>

%PARÁMETROS DE RETORNO:
%simboloSal: Símbolo de salida obtenido tras paso por FFT, submuestreo(2) y remoción
%de banda de guarda izquierda

%PARÁMETROS DE INGRESO:
%rxSig: Señal obtenida tras paso por canal AWGN
%parametros: Estructura con parámetros de simulación
%txSig: vector con suma de señal a transmitir
%bGIzq: Banda de guarda izquierda
%tamSub: Tamaño de subbanda

function simboloSal=calcFFT_UFMC(rxSig,parametros,txSig,bGIzq,tamSub)

% Zero-padding previo cálculo de FFT
yRxPadded = [rxSig; zeros(2*parametros.tamFFT-numel(txSig),1)];

% Cálculo FFT y submuestreo por factor de 2
SimbolRx2x = fftshift(fft(yRxPadded));
SimbolRx = SimbolRx2x(1:2:end);

% Vector recibido posterior a remoción de banda de guarda izquierdo
simboloSal = SimbolRx(bGIzq+(1:parametros.numSubBandas*tamSub));

end

